%define prefix /usr/local/citadel

Name: citadel-ux
Summary: Classic room-based BBS software.
Version: 5.62
Release: 2
Source:  %{name}-%{version}.tar.gz
Source1: citadel.config
URL: ftp://ftp.tux.org/pub/net/%{name}-%{version}.tar.gz
Group: Applications/Communications
Copyright: GPL
BuildRoot: /var/tmp/%{name}-%{version}
Requires:  gdbm pam
Prefix: %{prefix}
Packager: Brian Wright <bdw@aturna.com>
Vendor: Citadel/UX group <http://http://pixel.citadel.org/mirrors/uncnsrd> 

%description
Citadel is a way of BBSing that began in 1981 with a CP/M-based BBS. 
The central philosophy of Citadel is that the messages on
the BBS are what is most important, and that the BBS program 
itself should present as little noise as possible.  This philosophy
has been quite successful, and most have found that the Citadel 
system encourages a close-knit "online community" feel.  The
message base is organized into areas called "rooms," each dedicated 
to a particular topic.  On most Citadels, users have the ability
to create new rooms, thereby providing an environment that is constantly 
adapting to the people who participate. 

Citadel/UX is an implementation of the Citadel system on the Unix platform.  
It takes full advantage of modern technology to make the user experience 
as intuitive as possible while continually emphasizing the tradition of 
online community oriented conversation. Citadel/UX is multiuser, client/server, 
Internet-ready, and of course free software, released under the terms of the
GNU General Public License.

 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n citadel

%build
./configure --prefix=%{prefix}
make

%install

install -d $PRM_BUILD_ROOT%{prefix}
install -d $RPM_BUILD_ROOT%{prefix}/bio
install -d $RPM_BUILD_ROOT%{prefix}/bitbucket
install -d $RPM_BUILD_ROOT%{prefix}/files
install -d $RPM_BUILD_ROOT%{prefix}/images
install -d $RPM_BUILD_ROOT%{prefix}/info
install -d $RPM_BUILD_ROOT%{prefix}/modules
install -d $RPM_BUILD_ROOT%{prefix}/userpics
install -d $RPM_BUILD_ROOT/etc/pam.d
install -d $RPM_BUILD_ROOT/var/log/citadel
install -m 755 citadel $RPM_BUILD_ROOT%{prefix}
install -m 755 whobbs $RPM_BUILD_ROOT%{prefix}/whobbs
install -m 755 citserver $RPM_BUILD_ROOT%{prefix}/citserver
install -m 755 setup $RPM_BUILD_ROOT%{prefix}/setup
install -m 755 chkpwd $RPM_BUILD_ROOT%{prefix}/chkpwd
install -m 755 aidepost $RPM_BUILD_ROOT%{prefix}/aidepost
install -m 755 netmailer $RPM_BUILD_ROOT%{prefix}/netmailer
install -m 755 netproc $RPM_BUILD_ROOT%{prefix}/netproc
install -m 755 netsetup $RPM_BUILD_ROOT%{prefix}/netsetup
install -m 755 msgform $RPM_BUILD_ROOT%{prefix}/msgform
install -m 755 readlog $RPM_BUILD_ROOT%{prefix}/readlog
install -m 755 rcit $RPM_BUILD_ROOT%{prefix}/rcit
install -m 755 stats $RPM_BUILD_ROOT%{prefix}/stats
install -m 755 citmail $RPM_BUILD_ROOT%{prefix}/citmail
install -m 755 netpoll $RPM_BUILD_ROOT%{prefix}/netpoll
install -m 755 mailinglist $RPM_BUILD_ROOT%{prefix}/mailinglist
install -m 755 userlist $RPM_BUILD_ROOT%{prefix}/userlist
install -m 755 sendcommand $RPM_BUILD_ROOT%{prefix}/sendcommand
install -m 755 base64 $RPM_BUILD_ROOT%{prefix}/base64
install -m 755 qpdecode $RPM_BUILD_ROOT%{prefix}/qpdecode
install -m 755 modules/serv_chat.so $RPM_BUILD_ROOT%{prefix}/modules/serv_chat.so
install -m 755 modules/serv_vcard.so $RPM_BUILD_ROOT%{prefix}/modules/serv_vcard.so
install -m 755 modules/serv_upgrade.so $RPM_BUILD_ROOT%{prefix}/modules/serv_upgrade.so
install -m 755 modules/serv_expire.so $RPM_BUILD_ROOT%{prefix}/modules/serv_expire.so
install -m 755 utilsmenu $RPM_BUILD_ROOT%{prefix}/utilsmenu
install -m 755 weekly $RPM_BUILD_ROOT%{prefix}/weekly
install -m 755 dnetsetup $RPM_BUILD_ROOT%{prefix}/dnetsetup
chmod u+s $RPM_BUILD_ROOT%{prefix}/chkpwd
install -d $RPM_BUILD_ROOT%{prefix}/help
install -d $RPM_BUILD_ROOT%{prefix}/messages
install -d $RPM_BUILD_ROOT%{prefix}/network
install -d $RPM_BUILD_ROOT%{prefix}/network/spoolin
install -d $RPM_BUILD_ROOT%{prefix}/network/spoolout
install -d $RPM_BUILD_ROOT%{prefix}/network/systems
install -m 600 $RPM_SOURCE_DIR/citadel.config $RPM_BUILD_ROOT%{prefix}/citadel.config
install -m 644 citadel.rc $RPM_BUILD_ROOT%{prefix}/citadel.rc
install -m 644 public_clients $RPM_BUILD_ROOT%{prefix}/public_clients
install -m 644 help/? $RPM_BUILD_ROOT%{prefix}/help/?
install -m 644 help/aide $RPM_BUILD_ROOT%{prefix}/help/aide
install -m 644 help/floors $RPM_BUILD_ROOT%{prefix}/help/floors
install -m 644 help/hours $RPM_BUILD_ROOT%{prefix}/help/hours
install -m 644 help/intro $RPM_BUILD_ROOT%{prefix}/help/intro
install -m 644 help/mail $RPM_BUILD_ROOT%{prefix}/help/mail
install -m 644 help/network $RPM_BUILD_ROOT%{prefix}/help/network
install -m 644 help/nice $RPM_BUILD_ROOT%{prefix}/help/nice
install -m 644 help/policy $RPM_BUILD_ROOT%{prefix}/help/policy
install -m 644 help/software $RPM_BUILD_ROOT%{prefix}/help/software
install -m 644 help/summary $RPM_BUILD_ROOT%{prefix}/help/summary
install -m 644 messages/aideopt $RPM_BUILD_ROOT%{prefix}/messages/aideopt
install -m 644 messages/changepw $RPM_BUILD_ROOT%{prefix}/messages/changepw
install -m 644 messages/dotopt $RPM_BUILD_ROOT%{prefix}/messages/dotopt
install -m 644 messages/entermsg $RPM_BUILD_ROOT%{prefix}/messages/entermsg
install -m 644 messages/entopt $RPM_BUILD_ROOT%{prefix}/messages/entopt
install -m 644 messages/goodbye $RPM_BUILD_ROOT%{prefix}/messages/goodbye
install -m 644 messages/hello $RPM_BUILD_ROOT%{prefix}/messages/hello
install -m 644 messages/help $RPM_BUILD_ROOT%{prefix}/messages/help
install -m 644 messages/mainmenu $RPM_BUILD_ROOT%{prefix}/messages/mainmenu
install -m 644 messages/newuser $RPM_BUILD_ROOT%{prefix}/messages/newuser
install -m 644 messages/readopt $RPM_BUILD_ROOT%{prefix}/messages/readopt
install -m 644 messages/register $RPM_BUILD_ROOT%{prefix}/messages/register
install -m 644 messages/roomaccess $RPM_BUILD_ROOT%{prefix}/messages/roomaccess
install -m 644 messages/saveopt $RPM_BUILD_ROOT%{prefix}/messages/saveopt
install -m 644 messages/unlisted $RPM_BUILD_ROOT%{prefix}/messages/unlisted
install -m 644 network/filterlist $RPM_BUILD_ROOT%{prefix}/network/filterlist
install -m 644 network/internetmail.config $RPM_BUILD_ROOT%{prefix}/network/internetmail.config
install -m 644 network/mail.aliases $RPM_BUILD_ROOT%{prefix}/network/mail.aliases
install -m 644 network/mail.sysinfo $RPM_BUILD_ROOT%{prefix}/network/mail.sysinfo
install -m 644 network/mailinglists $RPM_BUILD_ROOT%{prefix}/network/mailinglists
install -m 644 network/rnews.xref $RPM_BUILD_ROOT%{prefix}/network/rnews.xref
install -m 644 citadel.pam $RPM_BUILD_ROOT/etc/pam.d/citadel



%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}
/etc/pam.d/citadel
/var/log/citadel

%doc *.txt techdoc ChangeLog

%post 
#!/bin/sh

echo "Be sure to run %{prefix}/setup to configure Citadel/UX"
if grep -v 'citadel' /etc/services >/dev/null 2>&1 ; then
  echo "linuxconf 98/tcp" >> /etc/services
  echo "citadel         504/tcp" >> /etc/services
fi

if grep -v 'citadel' /etc/inittab >/dev/null 2>&1 ; then
  echo "c1:2345:respawn:/usr/local/citadel/citserver  -h/usr/local/citadel  -t/var/log/citadel/citadel.log -x8" >> /etc/inittab
fi

%postun
#!/bin/sh
if [ -f /etc/services ] &&
   	grep citadel /etc/services >/dev/null 2>&1 ; then
		if grep -v citadel /etc/services > /tmp/services.$$ ; then
			mv /tmp/services.$$ /etc/services
		fi
fi

if [ -f /etc/inittab ] &&
   	grep citadel /etc/inittab >/dev/null 2>&1 ; then
		if grep -v citadel /etc/inittab > /tmp/inittab.$$ ; then
			mv /tmp/inittab.$$ /etc/inittab
		fi
fi

%changelog
* Mon Jan 24 2000 Brian Wright <bdw@aturna.com>
- Cleaned up %post and %postun scripts

* Fri Jan 21 2000 Brian Wright <bdw@aturna.com
- Upgraded to 5.62

* Mon Jan 17 2000 Brian Wright <bdw@aturna.com>
- Corrected typos in the spec file. <sigh> This happens.. :(

* Fri Jan 14 2000 Brian Wright <bdw@aturna.com>
- First RPM build for RedHat 6.1
